Loading...
Searching...
No Matches
Dune::GridGlue::CommunicationOperator< dir > Class Template Reference

forward gather scatter to user defined CommInfo class More...

`#include <dune/grid-glue/adapter/gridgluecommunicate.hh>`

Inheritance diagram for Dune::GridGlue::CommunicationOperator< dir >:

## Static Public Member Functions

template<class CommInfo>
static const CommInfo::DataType & | gather (const CommInfo &commInfo, size_t i, size_t j=0)
template<class CommInfo>
static void | scatter (CommInfo &commInfo, const typename CommInfo::DataType &v, std::size_t i, std::size_t j=0)

## Detailed Description

template<int dir>
class Dune::GridGlue::CommunicationOperator< dir >

forward gather scatter to user defined CommInfo class

- implements the ParallelIndexset gather/scatter interface
- redirects all calls to the GridGlueCommDataHandleIF gather/scatter methods

## Member Function Documentation

## gather()

template<int dir>
template<class CommInfo>

const CommInfo::DataType & Dune::GridGlue::CommunicationOperator< dir >::gather | ( | const CommInfo & | commInfo,
|  | size_t | i,
|  | size_t | j = 0 )

inline static

## scatter()

template<int dir>
template<class CommInfo>

void Dune::GridGlue::CommunicationOperator< dir >::scatter | ( | CommInfo & | commInfo,
|  | const typename CommInfo::DataType & | v,
|  | std::size_t | i,
|  | std::size_t | j = 0 )

inline static

The documentation for this class was generated from the following file:

- gridgluecommunicate.hh